METALINK(1)

NAME
metalink — commandline metalink generator

SYNOPSIS

metalink [input files] [ < mirror list]

DESCRIPTION

This manual page documents briefly the metalink command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

metalink allows you to generate metalinks from a list of mirrors and a collection of files. The files are hashed and the resulting metalink is generated on the stdout.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h           --help
    Produce a help message

--version
    Print out the name and version.

--md5
    Generate metalink from md5sum file(s).

--addpath path
    Append a path to the mirrors ('/' is not checked)

--headerfile arg
    Include file after the root element declaration.

--nomirrors
    Don't read mirrors from stdin

--hashlist
    List hashes only (implies nomirrors)

--desc arg
    Add metalink description

-d arg
    Include given digest

--mindigests
    Include: md5 sha1

--somedigests
    Include: md5 sha1 ed2k

--alldigests
    Include all possible digests

Supported algorithms are (-d options): md4 md5 sha1 sha256 sha384 sha512 rmd160 tiger crc32 ed2k gnunet sha1pieces

Mirror lists are single line definitions according to: [location [preference] [type] % ] mirror base url

EXAMPLES

http://example.com/ as a mirror: echo http://example.com | metalink -d md5 -d sha1 *

http://example.com/ as a mirror with preference and location: echo us 10 % http://example.com | metalink -d md5 -d sha1 *

http://example.com/ as a mirror with preference only: echo 0 10 % http://example.com | metalink -d md5 *

AUTHOR

This manual page was written by A. Bram Neijt bneijt@gmail.com for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.